package constants

const (
	// 决策模型
	AlgorUserPermissionDecisionModelView   = "algor:decisionModel:view"
	AlgorUserPermissionDecisionModelEdit   = "algor:decisionModel:edit"
	AlgorUserPermissionDecisionModelDelete = "algor:decisionModel:delete"

	// 应用
	AlgorUserPermissionAppView        = "algor:app:view"
	AlgorUserPermissionAppEdit        = "algor:app:edit"
	AlgorUserPermissionAppResetSecret = "algor:app:resetSecret"
	AlgorUserPermissionAppDelete      = "algor:app:delete"

	// 系统标签
	AlgorUserPermissionSystemTagView   = "algor:systemTag:view"
	AlgorUserPermissionSystemTagEdit   = "algor:systemTag:edit"
	AlgorUserPermissionSystemTagDelete = "algor:systemTag:delete"

	// 问题模板
	AlgorUserPermissionQuestionnaireTemplateView   = "algor:questionnaireTemplate:view"
	AlgorUserPermissionQuestionnaireTemplateEdit   = "algor:questionnaireTemplate:edit"
	AlgorUserPermissionQuestionnaireTemplateDelete = "algor:questionnaireTemplate:delete"

	// 问题库
	AlgorUserPermissionQuestionnaireSubjectView   = "algor:questionnaireSubject:view"
	AlgorUserPermissionQuestionnaireSubjectEdit   = "algor:questionnaireSubject:edit"
	AlgorUserPermissionQuestionnaireSubjectDelete = "algor:questionnaireSubject:delete"

	// 问卷
	AlgorUserPermissionSurveyView   = "algor:survey:view"
	AlgorUserPermissionSurveyEdit   = "algor:survey:edit"
	AlgorUserPermissionSurveyDelete = "algor:survey:delete"

	// 数据处理
	AlgorUserPermissionDataView            = "algor:data:view"             // 数据查看
	AlgorUserPermissionDataProcess         = "algor:data:process"          // 数据处理
	AlgorUserPermissionDataEdit            = "algor:data:edit"             // 数据编辑
	AlgorUserPermissionDataChangeProcesser = "algor:data:change-processer" // 更改数据处理者
	AlgorUserPermissionDataTableHeaderSet  = "algor:data:table-header-set" // 表头设置
	AlgorUserPermissionDataTemplateSet     = "algor:data:template-set"     // 模板设置

	// 知识图谱
	AlgorUserPermissionKnowledgeGraphEdit     = "algor:knowledgeGraph:edit"     // 知识图谱编辑
	AlgorUserPermissionKnowledgeGraphNodeEdit = "algor:knowledgeGraphNode:edit" // 图谱节点编辑

	// 知识库
	AlgorUserPermissionArticleView   = "algor:article:view"   // 知识库查看
	AlgorUserPermissionArticleEdit   = "algor:article:edit"   // 知识库编辑
	AlgorUserPermissionArticleDelete = "algor:article:delete" // 知识库删除
	// 知识库图片管理
	AlgorUserPermissionArticlePictureView   = "algor:articlePicture:view"   // 知识库图片查看
	AlgorUserPermissionArticlePictureEdit   = "algor:articlePicture:edit"   // 知识库图片编辑
	AlgorUserPermissionArticlePictureDelete = "algor:articlePicture:delete" // 知识库图片删除

	// 表单管理
	AlgorUserPermissionFormView = "algor:form:view" // 表单查看
	AlgorUserPermissionFormEdit = "algor:form:edit" // 表单编辑
)

var AlgorUserPermissionNames = map[string]*Permission{
	AlgorUserPermissionDecisionModelView: {
		Name: "决策模型查看",
	},
	AlgorUserPermissionDecisionModelEdit: {
		Name: "决策模型编辑",
	},
	AlgorUserPermissionDecisionModelDelete: {
		Name: "决策模型删除",
	},
	AlgorUserPermissionAppView: {
		Name: "应用查看",
	},
	AlgorUserPermissionAppEdit: {
		Name: "应用编辑",
	},
	AlgorUserPermissionAppResetSecret: {
		Name: "应用重置密钥",
	},
	AlgorUserPermissionAppDelete: {
		Name: "应用删除",
	},
	AlgorUserPermissionSystemTagView: {
		Name: "系统标签查看",
	},
	AlgorUserPermissionSystemTagEdit: {
		Name: "系统标签编辑",
	},
	AlgorUserPermissionSystemTagDelete: {
		Name: "系统标签删除",
	},
	AlgorUserPermissionQuestionnaireTemplateView: {
		Name: "问题模板查看",
	},
	AlgorUserPermissionQuestionnaireTemplateEdit: {
		Name: "问题模板编辑",
	},
	AlgorUserPermissionQuestionnaireTemplateDelete: {
		Name: "问题模板删除",
	},
	AlgorUserPermissionQuestionnaireSubjectView: {
		Name: "问题库查看",
	},
	AlgorUserPermissionQuestionnaireSubjectEdit: {
		Name: "问题库编辑",
	},
	AlgorUserPermissionQuestionnaireSubjectDelete: {
		Name: "问题库删除",
	},
	AlgorUserPermissionSurveyView: {
		Name: "问卷查看",
	},
	AlgorUserPermissionSurveyEdit: {
		Name: "问卷编辑",
	},
	AlgorUserPermissionSurveyDelete: {
		Name: "问卷删除",
	},
	AlgorUserPermissionDataView: {
		Name: "数据查看",
	},
	AlgorUserPermissionDataProcess: {
		Name: "数据处理",
	},
	AlgorUserPermissionDataEdit: {
		Name: "数据编辑",
	},
	AlgorUserPermissionDataChangeProcesser: {
		Name: "更改数据处理者",
	},
	AlgorUserPermissionDataTableHeaderSet: {
		Name: "表头设置",
	},
	AlgorUserPermissionDataTemplateSet: {
		Name: "模板设置",
	},
	AlgorUserPermissionKnowledgeGraphEdit: {
		Name: "图谱设置",
	},
	AlgorUserPermissionKnowledgeGraphNodeEdit: {
		Name: "知识图谱",
	},
	AlgorUserPermissionArticleView: {
		Name: "知识库内容查看",
	},
	AlgorUserPermissionArticleEdit: {
		Name: "知识库内容编辑",
	},
	AlgorUserPermissionArticleDelete: {
		Name: "知识库内容删除",
	},
	AlgorUserPermissionArticlePictureView: {
		Name: "知识库图片查看",
	},
	AlgorUserPermissionArticlePictureEdit: {
		Name: "知识库图片编辑",
	},
	AlgorUserPermissionArticlePictureDelete: {
		Name: "知识库图片删除",
	},
	AlgorUserPermissionFormView: {
		Name: "表单查看",
	},
	AlgorUserPermissionFormEdit: {
		Name: "表单编辑",
	},
}
